//
//  ViewController.m
//  跑马灯
//
//  Created by Wangguibin on 2017/8/22.
//  Copyright © 2017年 王贵彬. All rights reserved.
//

#import "ViewController.h"
#import "WGBMarqueeView.h"
#import "WGBScrollContainerView.h"

@interface ViewController ()<WGBScrollContainerViewDataSourceDelegate>

@property (nonatomic,strong) NSArray *contents ;
@property (nonatomic,strong) NSArray *images ;

@end

@implementation ViewController

- (void)viewDidLoad {
	[super viewDidLoad];

	self.contents = @[
						  @"简单点,说话的方式简单点",
						  @"你退半步的动作是认真的嘛?小小的动作伤害还辣么大",
						  @"好像外面下雨了,我能送你回家好吗",
						  @"我只能扮演个绅士,才能和你说说话(备胎之歌) (逃~"
						  ];
	self.images = @[
						@"jjys_tabbar_ myprofile_select",
						@"jjys_tabbar_ knowledge_select",
						@"jjys_tabbar_ myprofile_select",
						@"jjys_tabbar_ order_select"
						];

	WGBScrollContainerView *containerView = [[WGBScrollContainerView alloc] initWithFrame:CGRectMake(0, 100, 375 , 50)];
	containerView.wgbDataSourceDalegate = self;
	[self.view addSubview: containerView];

}

#pragma mark- <WGBScrollContainerViewDataSourceDelegate>
	///滚动的时间间隔
- (NSTimeInterval)wgb_autoScrollDuration{
	return 3.0f;
}
	///滚动的方向
- (WGBScrollDirectionType)wgb_ScrollDirectionType{
	return WGBScrollDirectionTypeVertical;
}

	///数据源个数
- (NSInteger)wgb_numberOfRowsInWithContainerView:(WGBScrollContainerView *)containerView{
	return self.contents.count;
}

	///类似于tableView cellForInRow的操作 暂时没弄复用处理
- (UIView *)wgb_subContentViewWithContainerView:(WGBScrollContainerView *)containerView subViewForRowAtIndex:(NSInteger)index{
	WGBMarqueeView *queeView = [[NSBundle mainBundle] loadNibNamed:NSStringFromClass([WGBMarqueeView class]) owner:nil options:0][0];
	queeView.contentLabel.textColor = [UIColor colorWithRed:arc4random()%256/255.0f green:arc4random()%256/255.0f  blue:arc4random()%256/255.0f alpha:1.0f];
	queeView.contentLabel.text = self.contents[index];
	queeView.imgPicView.image = [UIImage imageNamed: self.images[index]];
	return queeView;
}

	///点击事件处理
- (void)wgb_containerView:(WGBScrollContainerView *)containerView didSelectRowAtIndex:(NSInteger)index{
	NSLog(@"index: %ld  content: %@",index,self.contents[index]);
}


@end
